Transform File Reference
`#include <osg/Group>`
`#include <osg/Matrix>`

Go to the source code of this file.

## Classes

class | osg::Transform

## Namespaces

namespace | osg

## Macros

#define | OSG_TRANSFORM 1
#define | GL_RESCALE_NORMAL 0x803A
#define | GL_NORMALIZE 0x0BA1

## Functions

OSG_EXPORT Matrix | osg::computeLocalToWorld (const NodePath &nodePath, bool ignoreCameras=true)
OSG_EXPORT Matrix | osg::computeWorldToLocal (const NodePath &nodePath, bool ignoreCameras=true)
OSG_EXPORT Matrix | osg::computeLocalToEye (const Matrix &modelview, const NodePath &nodePath, bool ignoreCameras=true)
OSG_EXPORT Matrix | osg::computeEyeToLocal (const Matrix &modelview, const NodePath &nodePath, bool ignoreCameras=true)

## Macro Definition Documentation

## GL_NORMALIZE

#define GL_NORMALIZE 0x0BA1

Referenced by osgPresentation::SlideShowConstructor::createTransformStateSet().

## GL_RESCALE_NORMAL

#define GL_RESCALE_NORMAL 0x803A

## OSG_TRANSFORM

#define OSG_TRANSFORM 1